#
# spec file for package python-macholib
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-macholib
Version:        1.11
Release:        3.2
Summary:        Mach-O header analysis and editing
License:        MIT
Group:          Development/Languages/Python
Url:            http://bitbucket.org/ronaldoussoren/macholib
Source:         https://files.pythonhosted.org/packages/source/m/macholib/macholib-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
# SECTION test requirements
BuildRequires:  %{python_module altgraph >= 0.13}
# /SECTION
Requires:       python-altgraph >= 0.13
BuildArch:      noarch

%python_subpackages

%description
macholib can be used to analyze and edit Mach-O headers, the executable
format used by Mac OS X.

It's typically used as a dependency analysis tool, and also to rewrite dylib
references in Mach-O headers to be @executable_path relative.

Though this tool targets a platform specific file format, it is pure python
code that is platform and endian independent.

%prep
%setup -q -n macholib-%{version}
sed -i -e '/^#!\//, 1d' macholib/macho_dump.py
sed -i -e '/^#!\//, 1d' macholib/macho_find.py
sed -i -e '/^#!\//, 1d' macholib/macho_standalone.py

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%if %{with test}
%check
%python_exec setup.py test
%endif

%files %{python_files}
%doc README.txt
%license doc/license.rst
%python3_only %{_bindir}/macho_find
%python3_only %{_bindir}/macho_standalone
%python3_only %{_bindir}/macho_dump
%{python_sitelib}/*

%changelog
* Tue Dec  4 2018 mcepl@suse.com
- Remove superfluous devel dependency for noarch package
* Fri Nov 16 2018 toddrme2178@gmail.com
- Update to 1.11
  * Add very hacky limited support for @loader_path. This is just
    enough to deal with extensions and dylibs found in Python
    binary wheels.
- Update to 1.10
  * #25: Add support for LC_NOTE and LC_BUILD_VERSION
* Thu May 24 2018 toddrme2178@gmail.com
- Update to 1.9
  + Features:
  * Add definition for ``macholib.mach_o.reloc_type_generic``, which
    was used in code but never defined.
  * #22: Add LICENSE file
  * #23: Added "--help" option for "python -m macholib"
  * Added function ``macholib.MachO.lc_str_value`` which should
    help in decoding value of ``macholib.mach_o.lc_str``. Those
    values are offsets in the data of a load command, the function
    will return the actually value as a byte string.
  + Bug fixes:
  * Pull request #15: Fix typo in thread_command class
- Spec file cleanups
- Fix rpmlint issues
* Thu Oct 19 2017 toddrme2178@gmail.com
- Initial version
